Re: Bug#953537: xfsdump fails to install in /usr merged system.

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



(original message was sent to nathans@xxxxxxxxxx 953537@xxxxxxxxxxxxxxx and linux-xfs@xxxxxxxxxxxxxxx re-sending as plain-text only to linux-xfs@xxxxxxxxxxxxxxx)

This bug has now caused xfsdump to be kicked out of testing which is making amanda unbuildable in testing.


Yes, what's really needed here is for a change to be merged upstream
(as all other deb packaging artifacts are) otherwise this will keep
getting lost in time.
To make it easier to upstream this I whipped up a patch that should solve the issue while only modifying the debian packaging and not touching the upstream makefiles. It is attached to this message and if I get no response I will likely do some further testing and then NMU it in Debian.

One issue I noticed is it's not all all obvious who upstream is. The sgi website listed in README seems to be long dead and there are no obvious upstream results in a google search for xfsdump. Gentoos page on xfsdump links to https://xfs.wiki.kernel.org but that page makes no mention of xfsdump.

I eventually poked around on git.kernel.org and my best guess is that https://git.kernel.org/pub/scm/fs/xfs/xfsdump-dev.git/ is the upstream git repository and linux-xfs@xxxxxxxxxxxxxxx is the appropriate mailing list, I would appreciate comments on whether or not this is correct and updates to the documentation to reflect whatever the correct location is.
diff -Nru xfsdump-3.1.9/debian/changelog xfsdump-3.1.9+nmu1/debian/changelog
--- xfsdump-3.1.9/debian/changelog	2020-01-31 17:30:58.000000000 +0000
+++ xfsdump-3.1.9+nmu1/debian/changelog	2020-06-19 01:01:18.000000000 +0000
@@ -1,3 +1,13 @@
+xfsdump (3.1.9+nmu1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Create and remove symlinks in postinst/preinst rather than including them
+    in the package to support merged user systems. Based on a patch from
+    Goffredo Baroncelli but adjusted to avoid the need for modifying upstream
+    non-debian files. ( Closes: 953537 )
+
+ -- Peter Michael Green <plugwash@xxxxxxxxxx>  Fri, 19 Jun 2020 01:01:18 +0000
+
 xfsdump (3.1.9) unstable; urgency=low
 
   * New upstream release
diff -Nru xfsdump-3.1.9/debian/rules xfsdump-3.1.9+nmu1/debian/rules
--- xfsdump-3.1.9/debian/rules	2020-01-31 17:30:58.000000000 +0000
+++ xfsdump-3.1.9+nmu1/debian/rules	2020-06-19 01:01:18.000000000 +0000
@@ -44,6 +44,9 @@
 	-rm -rf $(dirme)
 	$(pkgme) $(MAKE) -C . install
 	$(pkgme) $(MAKE) dist
+	#remove the symlinks in /usr/sbin, the postinst will create them
+	#if appropriate for the users system 
+	rm -f debian/xfsdump/usr/sbin/xfsdump debian/xfsdump/usr/sbin/xfsrestore
 	dh_installdocs
 	dh_installchangelogs
 	dh_strip
diff -Nru xfsdump-3.1.9/debian/xfsdump.postinst xfsdump-3.1.9+nmu1/debian/xfsdump.postinst
--- xfsdump-3.1.9/debian/xfsdump.postinst	1970-01-01 00:00:00.000000000 +0000
+++ xfsdump-3.1.9+nmu1/debian/xfsdump.postinst	2020-06-19 00:59:32.000000000 +0000
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = 'configure' ]; then
+  for file in xfsdump xfsrestore; do
+    if [ ! -e /usr/sbin/$file ]; then
+      ln -s /sbin/$file /usr/sbin/$file
+    fi
+  done
+fi
+
+#DEBHELPER#
diff -Nru xfsdump-3.1.9/debian/xfsdump.preinst xfsdump-3.1.9+nmu1/debian/xfsdump.preinst
--- xfsdump-3.1.9/debian/xfsdump.preinst	1970-01-01 00:00:00.000000000 +0000
+++ xfsdump-3.1.9+nmu1/debian/xfsdump.preinst	2020-06-19 01:01:18.000000000 +0000
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = 'remove' ]; then
+  for file in xfsdump xfsrestore; do
+    if [ -L /usr/sbin/$file ]; then
+      rm /usr/sbin/$file
+    fi
+  done
+fi
+
+#DEBHELPER#

[Index of Archives]     [XFS Filesystem Development (older mail)]     [Linux Filesystem Development]     [Linux Audio Users]     [Yosemite Trails]     [Linux Kernel]     [Linux RAID]     [Linux SCSI]


  Powered by Linux